<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
<head>
    <title>Rede Social</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="content/css/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
<div id="page-wrapper" ng-app="myApp" ng-controller="controller" ng-cloak="">
    <div id="content">
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row m-b-lg m-t-lg">
                <div class="col-md-6 text-white">

                    <div class="profile-image">
                        <img ng-src="{{usuario.foto}}" class="rounded-circle circle-border m-b-md" style="max-width: 150px" alt="profile">
                    </div>
                    <div class="profile-info">
                        <div class="">
                            <div>
                                <h2 class="no-margins">
                                    {{usuario.nome}}
                                </h2>
                                <h4>{{usuario.email}}</h4>
                                <small>
                                    {{usuario.biografia}}
                                </small>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-lg-3">
                    <div class="ibox">
                        <div class="ibox-content">
                            <h3>Outros Usuários</h3>
                            <p class="small">
                                Dê uma olhada nos outros usuários da rede
                            </p>
                            <div class="user-friends" >
                                <a ng-click="selecionaUsuario(usuario)" ng-repeat="usuario in usuarios">
                                    <img alt="image" class="rounded-circle" ng-src="{{usuario.foto}}">
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="ibox">
                        <div class="ibox-content text-center">
                            <h3>Story</h3>

                            <img ng-src="{{story.foto}}"

                                 ng-repeat="story in stories"

                                 class="img-thumbnail"
                                 alt="profile">

                            <div class="btn-group">
                                <button type="button" class="btn btn-white" ng-click="storyPage = storyPage - 1; carregarStory()">
                                    <i class="fa fa-chevron-left"></i></button>

                                <button type="button" class="btn btn-white"  ng-click="storyPage = storyPage + 1; carregarStory()">
                                    <i class="fa fa-chevron-right"></i> </button>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="col-lg-5">
                    <div class="media-body m-b-lg">
                                <textarea class="form-control"
                                          ng-model="textoPostagem"
                                          placeholder="No que está pensando?"></textarea>
                        <button class="m-t-md m-b-md btn btn-info btn-sm btn-block"
                                ng-click="postar()">
                            <i class="fa fa-file-text"></i>
                            Postar
                        </button>
                        <div class="text-center">
                            <h3>Feed</h3>
                        </div>
                    </div>
                    <div class="social-feed-box" ng-repeat="postagem in postagens | orderBy: '-curtidas'">

                        <div class="social-avatar">
                            <a href="" class="float-left">
                                <img alt="image"
                                     ng-if="postagem.fotoUsuario"
                                     ng-src="{{postagem.fotoUsuario}}">

                                <img alt="image"
                                     ng-if="!postagem.fotoUsuario"
                                     src="https://upload.wikimedia.org/wikipedia/commons/d/d3/User_Circle.png">
                            </a>
                            <div class="media-body">
                                <a href="#">
                                    {{postagem.nomeUsuario}}
                                </a>
                                <small class="text-muted">
                                    {{postagem.postadoEm| date}}
                                </small>
                            </div>
                        </div>
                        <div class="social-body">
                            <p>
                                {{postagem.conteudo}}
                            </p>
                            <div class="btn-group">
                                <button class="btn btn-white btn-xs"
                                        ng-click="curtir(postagem)">
                                    <i class="fa fa-thumbs-up"></i>
                                    ({{postagem.curtidas}})
                                    Curtir
                                </button>
                            </div>
                        </div>
                        <div class="social-footer" >
                            <div class="social-comment" ng-repeat="comentario in postagem.comentarios">
                                <a href="" class="float-left">
                                    <img alt="image"
                                         ng-if="comentario.fotoUsuario"
                                         ng-src="{{comentario.fotoUsuario}}">

                                    <img alt="image"
                                         ng-if="!comentario.fotoUsuario"
                                         src="https://upload.wikimedia.org/wikipedia/commons/d/d3/User_Circle.png">
                                </a>
                                <div class="media-body">
                                    <a href="#">
                                        {{comentario.nomeUsuario}}
                                    </a>
                                    {{comentario.conteudo}}
                                    <br>
                                    <small class="text-muted">{{comentario.criadoEm| date}}</small>
                                </div>
                            </div>

                            <div class="social-comment">
                                <a href="" class="float-left">
                                    <img alt="image"
                                         ng-if="usuario.foto"
                                         ng-src="{{usuario.foto}}">

                                    <img alt="image"
                                         ng-if="!usuario.foto"
                                         src="https://upload.wikimedia.org/wikipedia/commons/d/d3/User_Circle.png">
                                </a>
                                <div class="media-body">
                                            <textarea class="form-control"
                                                      ng-model="postagem.novoComentario"
                                                      placeholder="Comente ..."></textarea>

                                    <a class="pull-right" ng-click="comentar(postagem)">
                                        Comentar
                                    </a>
                                </div>
                            </div>

                        </div>

                    </div>

                    <button class="btn btn-success btn-outline btn-block" ng-click="carregarMaisPostagens()">
                        <i class="fa fa-refresh"></i>
                        Carregar mais
                    </button>


                </div>
                <div class="col-lg-4 m-b-lg">
                    <div class="text-center">
                        <h3>Jobs</h3>
                    </div>
                    <div id="vertical-timeline" class="vertical-container light-timeline no-margins">
                        <div class="vertical-timeline-block" ng-repeat="job in jobs">
                            <div class="vertical-timeline-icon navy-bg">
                                <i class="fa fa-briefcase"></i>
                            </div>

                            <div class="vertical-timeline-content" >
                                <h2>{{job.empresa}}</h2>
                                <p>
                                    {{job.conteudo}}
                                </p>
                                <a href="#" class="btn btn-sm btn-primary"> ${{job.remuneracao|currency:2}}</a>
                                <span class="vertical-date">
                                            {{job.usuario.nome}} <br>
                                            <small> {{job.postadoEm| date}}</small>
                                        </span>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </div>

    </div>
</div>
</body>


<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.8/angular.min.js"></script>
<script src="app.js"></script>
</html>
